#!/bin/bash

TEXTDOMAIN=`basename $0`
#if [ -d "./locale" ]; then
#  TEXTDOMAINDIR="./locale"
#fi

echo $">>> Down RFC1483/2684 routed network interface <<<"
echo

pid=`pidof atmarpd`
if [ "$pid" != "" ]; then
  echo $">>> Killing atmarpd daemon..."
  killall atmarpd
  echo
fi

if grep -q "atm0" /proc/net/dev; then
  echo $">>> Shutting down atm0 interface..."
  ifconfig atm0 down
  echo
fi

if lsmod | cut -d' ' -f1 | grep -q -E "^3cp4218|3cp4218dbg$"; then
  echo $">>> Stopping transfers..."
  3cioctl 2
  echo
fi

